declare global {
    interface Window {
        __forgeFlags__autoDefine: any;
        __forgeFlags__useConstructableStyleSheets: boolean | undefined;
    }
    interface ShadowRoot {
        adoptedStyleSheets: CSSStyleSheet[];
    }
    interface CSSStyleSheet {
        replaceSync(cssText: string): void;
    }
}
export interface ICustomElementConfig {
    /** The name of the custom element tag. */
    name: string;
    /** Components that are dependencies of this component */
    dependencies?: any[];
    /** Configures if the element will be automatically defined in the custom element registry. Default is `true` */
    define?: boolean;
}
/**
 * This decorator is intended to be used on classes that extend `HTMLElement` to
 * extend/modify the behavior of a custom element.
 * @param {ICustomElementConfig} [config={}] The custom element configuration.
 */
export declare function customElement({ name, dependencies, define }: ICustomElementConfig): any;
