import { IMediaRange, MediaFeature, NamedMediaQuery, RangeMediaFeature } from './types';
/** Returns the names of all queries that match. Used for range media features. */
export declare function getMatchingValues(namedQueries: NamedMediaQuery[]): string[];
/** Returns the name of one query that matches. Used for discrete media features. */
export declare function getMatchingValue(namedQueries: NamedMediaQuery[]): string;
/** Returns whether a query matches. */
export declare function getBooleanValue(query: NamedMediaQuery): boolean;
/** Returns a CSS media query string from a range. */
export declare function getRangeQuery(feature: RangeMediaFeature, range: IMediaRange): string;
/** Whether a string is the name of a media feature. */
export declare function isMediaFeature(value: string): value is MediaFeature;
/** Return `undefined` if the name is a reserved media feature. */
export declare function validateName(name?: string): string | undefined;
