export declare class ItemManager<T> {
    private _key?;
    private _items;
    constructor(_key?: string[] | undefined);
    /**
     * Returns all items.
     */
    getItems(): T[];
    /**
     * Returns the number of items.
     */
    count(): number;
    /**
     * Sets the item key.
     * @param key The item key(s).
     */
    setKey(key: string[]): void;
    /**
     * Addes the provided items.
     * @param data The item data.
     */
    add(data: T | T[]): this;
    /**
     * Removes an item from the selections.
     * @param data The data to be deselected.
     */
    remove(data: T | T[]): this;
    /**
     * Removes all selected items.
     */
    clear(): this;
    /**
     * Determines if the provided item exists in the selections or not.
     * @param data The data value.
     */
    exists(data: T): boolean;
    /**
     * Gets the item from the items collection, or null if not found.
     * @param data The data value.
     */
    private _getItem;
}
